### Method

# Aravis Buffer get_part_padding

since: 0.8.23

#### Declaration [src]

    void
    arv_buffer_get_part_padding (
      ArvBuffer* buffer,
      guint part_id,
      gint* x_padding,
      gint* y_padding
    )

#### Description [src]

Gets the part padding.

This function must only be called if buffer payload is either `ARV_BUFFER_PAYLOAD_TYPE_IMAGE`, `ARV_BUFFER_PAYLOAD_TYPE_EXTENDED_CHUNK_DATA` or `ARV_BUFFER_PAYLOAD_TYPE_MULTIPART`.

Available since: 0.8.23

#### Parameters

`part_id`

  Type: `guint`

  A part id.

`x_padding`

  Type: `gint*`

  X offset placeholder.

  The argument will be set by the function.
  The argument can be `NULL`.

`y_padding`

  Type: `gint*`

  Y offset placeholder.

  The argument will be set by the function.
  The argument can be `NULL`.